#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libpng
Version		:	1.6.40
Release		:	14.8.0.0%{?dist}
Summary		:	Interfaces for accessibility support
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	zlib
URL		:	https://downloads.sourceforge.net/libpng/files/libpng16

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-apng.patch.gz

#-----------------------------------------------------------------------------
%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG
is a bit-mapped graphics format similar to the GIF format.  PNG was
created to replace the GIF format, since GIF uses a patented data
compression algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/pngfix
%{_libdir}/%{name}16.so.16*
%{_mandir}/man5/png.5.gz

#=============================================================================
%package		devel

Summary		:	Development tools for programs to manipulate PNG image format files

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The libpng-devel package contains header files and
documentation necessary for developing programs using
the PNG (Portable Network Graphics) library.
 
If you want to develop programs which will manipulate
PNG image format files, you should install libpng-devel.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root, -)
%doc libpng-manual.txt example.c TODO CHANGES
%{_bindir}/%{name}*-config
%{_bindir}/png*
%{_includedir}/png*.h
%{_includedir}/%{name}16/*.h
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_mandir}/man3/%{name}*.3.gz

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
